#
# spec file for package python3-pytest-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pytest-doc
Version:        2.7.2
Release:        3.20
Summary:        Simple powerful testing with Python
License:        MIT
Group:          Development/Languages/Python
Url:            http://pytest.org
Source:         http://pypi.python.org/packages/source/p/pytest/pytest-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  unzip
# Documentation requirements:
BuildRequires:  python3-Sphinx
BuildRequires:  python3-py >= 1.4.22
BuildArch:      noarch

%description
pytest helps you write better programs. It is a a mature full-featured,
cross-project Python testing tool. It provides:

* auto-discovery of test modules and functions,
* detailed info on failing assert statements (no need to remember 
  self.assert* names),
* modular fixtures for managing small or parametrized long-lived test resources.
* multi-paradigm support: you can use py.test to run test suites based on 
  unittest (or trial), nose,
* single-source compatibility to Python2.5 all the way up to Python3.3, 
  PyPy-1.9 and Jython-2.5.1, and
* many external plugins.

This package provides the documentation for python3-pytest


%prep
%setup -q -n pytest-%{version}

%build
python3 setup.py build_sphinx
rm doc/build/html/.buildinfo

%install
# Only build documentation

%files
%defattr(-,root,root,-)
%doc LICENSE 
%doc doc/build/html

%changelog
* Wed Jul  8 2015 toddrme2178@gmail.com
- Split documentation into separate package to avoid build loop
